MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028972Open CASCADE[OCCT] OCCT:Application Frameworkpublic2017-08-04 12:022017-09-29 16:29
Reportervro 
Assigned Tobugmaster 
PrioritynormalSeveritytext 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028972: A not useful message is printed on copying of data in OCAF
DescriptionA not useful message is printed on copying of data in OCAF. It happens if copying is performed within the same document. It prints "SAME Data" many many times filling-in the console window... Indeed, the message is quite useless.
Steps To ReproduceRecompile TKLCAF with OCCT_DEBUG precompiler option.
Run Draw:

pload ALL
NewDoc D
SetInteger D 0:1 23
CopyLabel D 0:1 0:2
THE SAME Data
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships

-  Notes
(0069111)
git (administrator)
2017-08-04 13:43

Branch CR28972 has been created by vro.

SHA-1: 30118b09a3cd520fa6fa20219d682e968a7a530b


Detailed log of new commits:

Author: vro
Date: Fri Aug 4 13:42:42 2017 +0300

    0028972: A not useful message is printed on copying of data in OCAF
(0069131)
vro (developer)
2017-08-07 08:53

http://jenkins-test-10.nnov.opencascade.com:8080/view/CR28972-master/view/COMPARE/ [^]
(0069502)
mpv (developer)
2017-08-17 09:58

Reviewed. Please, test.
(0069517)
bugmaster (administrator)
2017-08-17 12:35

Combination -
OCCT branch : CR28972 : SHA-1: 30118b09a3cd520fa6fa20219d682e968a7a530b
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

Number of compiler warnings:

OCCT :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Products :
Linux: 5 (5 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:

Windows:
OCCT
Total CPU difference: 17330.010689098726 / 17295.75286949859 [+0.20%]
Producst
Total CPU difference: 7688.758886599963 / 7720.302288799964 [-0.41%]

Linux:
OCCT
Total CPU difference: 19451.89000000023 / 19456.560000000376 [-0.02%]
Products
Total CPU difference: 7703.40000000009 / 7725.120000000072 [-0.28%]

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0069648)
git (administrator)
2017-08-18 17:00

Branch CR28972 has been deleted by kgv.

SHA-1: 30118b09a3cd520fa6fa20219d682e968a7a530b

- Related Changesets
occt: master f97095fa
Timestamp: 2017-08-04 10:42:42
Author: vro
Committer: bugmaster
Details ] Diff ]
0028972: A not useful message is printed on copying of data in OCAF
mod - src/TDF/TDF_CopyLabel.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-08-04 12:02 vro New Issue
2017-08-04 12:02 vro Assigned To => vro
2017-08-04 13:43 git Note Added: 0069111
2017-08-04 13:45 vro Assigned To vro => mpv
2017-08-04 13:45 vro Status new => resolved
2017-08-04 13:45 vro Steps to Reproduce Updated View Revisions
2017-08-07 08:53 vro Note Added: 0069131
2017-08-08 06:56 kgv Relationship added related to 0024666
2017-08-17 09:58 mpv Note Added: 0069502
2017-08-17 09:58 mpv Assigned To mpv => bugmaster
2017-08-17 09:58 mpv Status resolved => reviewed
2017-08-17 12:35 bugmaster Note Added: 0069517
2017-08-17 12:35 bugmaster Status reviewed => tested
2017-08-18 12:53 bugmaster Changeset attached => occt master f97095fa
2017-08-18 12:53 bugmaster Status tested => verified
2017-08-18 12:53 bugmaster Resolution open => fixed
2017-08-18 12:57 bugmaster Target Version 7.4.0* => 7.2.0
2017-08-18 12:59 bugmaster Test case number => Not required
2017-08-18 17:00 git Note Added: 0069648
2017-09-29 16:17 user533 Fixed in Version => 7.2.0
2017-09-29 16:29 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker